open-vm-tools 9.10.2

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- _
- a
- b
- c
- d
- e
- f
- i
- m
- n
- p
- r
- s
- t
- v
- x

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - _ -

- _private : ToolsPluginData

### - a -

- activate : ToolsAppProvider
- appCtx : RpcInData
- args : RpcInData
- argsSize : RpcInData

### - b -

- blockFD : ToolsAppCtx

### - c -

- callback : RpcChannelCallback
- clientData : RpcChannelCallback , RpcInData
- config : ToolsAppCtx

### - d -

- dfltRecvFn : RpcDebugPlugin
- dumpState : ToolsAppProvider

### - e -

- envp : ToolsAppCtx
- errorCb : ToolsPluginData
- errorCode : ToolsAppCtx

### - f -

- freeResult : RpcInData

### - i -

- index : ToolsAppCapability
- isVMware : ToolsAppCtx

### - m -

- mainLoop : ToolsAppCtx

### - n -

- name : RpcChannelCallback , RpcInData , ToolsAppCapability , ToolsAppCtx , ToolsAppProvider , ToolsPluginData

### - p -

- plugin : RpcDebugPlugin

### - r -

- recvFns : RpcDebugPlugin
- registerApp : ToolsAppProvider
- regs : ToolsPluginData
- regSize : ToolsAppProvider
- regType : ToolsAppProvider
- result : RpcInData
- resultLen : RpcInData
- rpc : ToolsAppCtx

### - s -

- sendFn : RpcDebugPlugin
- serviceObj : ToolsAppCtx
- shutdown : ToolsAppProvider
- shutdownFn : RpcDebugPlugin

### - t -

- type : ToolsAppCapability

### - v -

- value : ToolsAppCapability
- version : ToolsAppCtx

### - x -

- xdrIn : RpcChannelCallback
- xdrInSize : RpcChannelCallback
- xdrOut : RpcChannelCallback
- xdrProc : RpcDebugRecvMapping
- xdrSize : RpcDebugRecvMapping